From rds204@ecs.soton.ac.uk Tue Aug 30 15:46:13 2005
Message-ID: <4314DFDF.1090805@soton.ac.uk>
Date: Tue, 30 Aug 2005 23:38:23 +0100
From: Robert Spanton <rds204@ecs.soton.ac.uk>
To: Greg KH <greg@kroah.com>
Subject: USB: PL2303: CA-42 Phone cable

This patch adds the product ID and vendor ID for a Nokia CA-42 USB cable
to the list of devices handled by the pl2303 driver. The patch is
against 2.6.13.

Signed-off-by: Robert Spanton <rds204@zepler.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/serial/pl2303.c |    1 +
 drivers/usb/serial/pl2303.h |    4 ++++
 2 files changed, 5 insertions(+)

--- gregkh-2.6.orig/drivers/usb/serial/pl2303.c	2005-09-12 11:01:58.000000000 -0700
+++ gregkh-2.6/drivers/usb/serial/pl2303.c	2005-09-12 11:02:04.000000000 -0700
@@ -95,6 +95,7 @@ static struct usb_device_id id_table [] 
 	{ USB_DEVICE(SAMSUNG_VENDOR_ID, SAMSUNG_PRODUCT_ID) },
 	{ USB_DEVICE(SIEMENS_VENDOR_ID, SIEMENS_PRODUCT_ID_X65) },
 	{ USB_DEVICE(SYNTECH_VENDOR_ID, SYNTECH_PRODUCT_ID) },
+	{ USB_DEVICE( NOKIA_CA42_VENDOR_ID, NOKIA_CA42_PRODUCT_ID ) },
 	{ }					/* Terminating entry */
 };
 
--- gregkh-2.6.orig/drivers/usb/serial/pl2303.h	2005-08-28 16:41:01.000000000 -0700
+++ gregkh-2.6/drivers/usb/serial/pl2303.h	2005-09-12 11:02:04.000000000 -0700
@@ -58,3 +58,7 @@
 
 #define SYNTECH_VENDOR_ID	0x0745
 #define SYNTECH_PRODUCT_ID	0x0001
+
+/* Nokia CA-42 Cable */
+#define NOKIA_CA42_VENDOR_ID	0x078b
+#define NOKIA_CA42_PRODUCT_ID	0x1234
